ISIS - Bug #3889

Misleading Error Message
2016-04-08 01:45 PM - Marjorie Hahn

Status: Rejected

Priority: Normal

Assignee: Curtis Rose

Category: API

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)

Impact: Software Version:
Description

This error message occurs when attempting to write a label to an Isis cube object after the EndProcess() method is called:

PROGRAMMER ERROR Cannot add a group to the label of cube [kateprojectplugin.so GARBAGE REMOVED linux g] because it is
opened read-only.

The name of the cube was filled with garbage characters and was therefore not correct, since the cube is not open at all. It may be
better to have the error message say something like:

PROGRAMMER ERROR Cannot add a group to the label of cube object because it is not open.

History

#1 - 2016-04-12 06:22 AM - Stuart Sides
- Description updated

- Status changed from New to Acknowledged

#2 - 2016-04-21 03:30 PM - Jean Backer

- Assignee set to Curtis Rose
#3 - 2016-04-21 03:35 PM - Curtis Rose
- Status changed from Acknowledged to In Progress

- Target version set to 3.4.13 (FY16 R3 2016-08-31 Aug)

#4 - 2016-05-20 08:16 AM - Curtis Rose

- Status changed from In Progress to Rejected

Marjorie and | have both tried reduplicating this bug and can't seem to figure out how. We are rejecting it for now.
